<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Schedule;
use App\Models\Patient;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use Spatie\Crypto\Rsa\KeyPair;

class TestController extends Controller
{
    public function index()
    {
        $sitting = 9;
        $schedules = ['Sunday',  'Thursday', 'Friday', 'Saturday'];
        $count = count($schedules);
        $total = (int)($sitting/$count);
        $mod = fmod($sitting, $count);
        $data = [];
        $x = 1;
        foreach ($schedules as $schedule):
            $cDate = Carbon::create('2023-07-05');
            for($i = 1; $i<= $total; $i++):
                $cDate = $cDate->next($schedule);
                $data[] = $cDate->format('Y-m-d');
            endfor;
            if ($x<=$mod):
                $cDate = $cDate->next($schedule);
                $data[] = $cDate->format('Y-m-d');
            endif;
            $x++;
        endforeach;
        return compact('data', 'count', 'total', 'mod');
    }
    

    public function testForm(){
        return view('testForm');
    }
    public function testPost(Request $request){
        $response = [];
        for ($i=1; $i<= $request->reqNo; $i++):
            $resToken = $this->getToken($request);
            if ($resToken->status =='success'){
                $response[] = $this->sendReq($request, $resToken->token);
            }
        endfor;
        return view('testRes', compact('response'));
    }

    public function sendReq($request, $token)
    {
        $amount = mt_rand(1, 15);
        $transfer_mode = $this->getMode();
        if ($transfer_mode == 'IMPS'):
            $bank_acc_no = rand();
            $ifsc = Str::upper(Str::random(11));
            $vpa = '';
        else:
            $bank_acc_no = '';
            $ifsc = '';
            $vpa = Str::lower(Str::random(10)) . '@' . Str::lower(Str::random(4));
        endif;
        $orderId = Str::upper(Str::random(16));
        
        $name = Str::upper(Str::random(10));
        $email = Str::lower(Str::random(9)).'@csgtech.in';

        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'http://127.0.0.1:5000/api/pay-request',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS =>'{
            "amount": "'. $amount .'",
            "order_id": "'. $orderId .'",
            "transfer_mode": "'. $transfer_mode .'",
            "currency": "INR",
            "remarks": "",
            "mid": "'. $request->mid .'",
            "secret_key": "'. $request->secret_key .'",
            "beneficiary": {
                "bank_acc_no": "'. $bank_acc_no .'",
                "ifsc": "'. $ifsc .'",
                "bank_name": "SBI",
                "name": "'. $name .'",
                "email": "'. $email .'",
                "mobile": "9911480245",
                "vpa": "'. $vpa .'",
                "address": "ashok sharma New ",
                "country": "India",
                "state": "Uttar Pradesh",
                "city": "Noida",
                "pincode": "201301"
            }
        }',
        CURLOPT_HTTPHEADER => array(
            'Authorization: Token '.$token,
            'Content-Type: application/json',
            'salt: gfaTXUY7mcNhf9q9zac874'
        ),
        ));

        $response = curl_exec($curl);
        curl_close($curl);
        return json_decode($response);
    }
    public function getToken($request)
    {
        
        $curl = curl_init();
        curl_setopt_array($curl, array(
        CURLOPT_URL => 'http://127.0.0.1:5000/api/get-token',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS =>'{
            "mid":"'. $request->mid .'",
            "salt":"'. $request->salt .'"
        }',
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json'
        ),
        ));
        $response = curl_exec($curl);
        curl_close($curl);
        return json_decode($response);
    }
    public function getMode()
    {
        $a=array("IMPS","UPI");
        $key = array_rand($a,1);
        return $a[$key];
    }
    public function indexPayoutReq()
    {
        ini_set('max_execution_time', '3000000');
        for($i=1; $i<=5000;$i++):
            $amount = mt_rand(1, 15);
            $patient = Patient::select('id', 'name' ,'phone', 'email', 'address', 'patient_id')->inRandomOrder()->first();
            $transferId = Str::upper(Str::random(16));
            $curl = curl_init();
            curl_setopt_array($curl, array(
                CURLOPT_URL => 'http://127.0.0.1:8000/api/payout',
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => '',
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 0,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => 'POST',
                CURLOPT_POSTFIELDS => '{
                    "amount": "'. $amount .'",
                    "transferId": "'. $transferId .'",
                    "transferMode": "IMPS",
                    "remarks": "remarks",
                    "UserId": "'. $patient->phone .'",
                    "beneDetails": {
                        "bankAccNo": "'. $patient->phone .'",
                        "ifsc": "'. $patient->patient_id .'",
                        "name": "'. $patient->name .'",
                        "email": "'. $patient->email .'",
                        "phone": "'. $patient->phone .'",
                        "vpa": "",
                        "address": "'. $patient->address .'",
                        "country": "Noida",
                        "state": "Noida",
                        "city": "Noida",
                        "pincode": "Noida"
                    }
                }',
                CURLOPT_HTTPHEADER => array(
                    'Content-Type: application/json',
                ),
            ));
            $response = curl_exec($curl);
            curl_close($curl);
            echo $response;
        endfor;
        return 'ok';
    }

    function createHash() {
        $keys = (new KeyPair())->generate();
        Log::info('key', $keys);
        return compact('keys');
    }
    

    // public function getMondays()
    // {
    //     return new \DatePeriod(
    //         Carbon::parse("first monday of this month"),
    //         CarbonInterval::week(),
    //         Carbon::parse("first monday of next month")
    //     );
    // }
}
