@extends('layouts.app')
@section('content')
@include('aside')
<div class="subheader py-2 py-lg-4  subheader-solid " id="kt_subheader">
    <div class=" container-fluid  d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
        <!--begin::Info-->
        <div class="d-flex align-items-center flex-wrap mr-2">

            <!--begin::Page Title-->
            <h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                Create Patient </h5>
            <!--end::Page Title-->
            <!--begin::Actions-->
        </div>
        <!--end::Info-->
    </div>
</div>
<!--end::Subheader-->

<div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class=" container card-fixed-align">
        <!--begin::Card-->
        <div>
            <!--begin::Card-->
            @if(session('success'))
            <div class="alert alert-custom alert-success fade show" role="alert">
                <div class="alert-icon"><i class="flaticon2-check-mark"></i></div>
                <div class="alert-text">{{ session('success')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            @if(session('failed'))
            <div class="alert alert-custom alert-danger fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-warning"></i></div>
                <div class="alert-text">{{ session('failed')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            <div class="card card-custom">
                <!--begin::Form-->
                <div class="card-body">
                    <form action="{{route('patient.store')}}" method="post" id="patientForm">
                        <input type="hidden" name="_token" id="csrf_token" value="{{ Session::token() }}" />
                        <div>
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="col-form-label" for="name">Name</label>
                                    <div>
                                        <input class="form-control" name="name" placeholder="Name" id="name" type="text" value="@if(old('name')){{ old('name') }}@endif" required />
                                        @if($errors->has('name'))
                                        <div class="invalid-feedback">{{ $errors->first('name') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="email">Email</label>
                                    <div>
                                        <input class="form-control" name="email" placeholder="Email" id="email" type="email" value="@if(old('email')){{ old('email') }}@endif" />
                                        @if($errors->has('email'))
                                        <div class="invalid-feedback">{{ $errors->first('email') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="mobile">Phone</label>
                                    <div>
                                        <input class="form-control" name="mobile" placeholder="Phone" id="mobile" type="text" value="@if(old('mobile')){{ old('mobile') }}@endif" />
                                        @if($errors->has('mobile'))
                                        <div class="invalid-feedback">{{ $errors->first('mobile') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="gender">Gender</label>
                                    <div>
                                        <select class="form-control" name="gender" id="gender" type="text" required >
                                            <option value="">Select Gender</option>
                                            <option value="Male" @if(old('gender') && old('gender') == 'Male') selected @endif >Male</option>
                                            <option value="Female" @if(old('gender') && old('gender') == 'Male') selected @endif>Female</option>
                                            <option value="Transgender" @if(old('gender') && old('gender') == 'Male') selected @endif>Transgender</option>
                                        </select>
                                        @if($errors->has('mobile'))
                                        <div class="invalid-feedback">{{ $errors->first('mobile') }}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class=" date">
                                        <label class="col-form-label" for="dob">Date Of Birth</label>
                                        <div>
                                            <input class="form-control" name="dob" placeholder="Date Of Birth" id="kt_datepicker_1" type="text" readonly value="@if(old('dob')){{ old('dob') }}@endif" />
                                            @if($errors->has('dob'))
                                            <div class="invalid-feedback">{{ $errors->first('dob') }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="dob">Age</label>
                                    <div>
                                        <input class="form-control" name="age" placeholder="Age" id="age" type="text" value="@if(old('age')){{ old('age') }}@endif" required />
                                        @if($errors->has('age'))
                                        <div class="invalid-feedback">{{ $errors->first('age') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <label class="col-form-label" for="address">Address</label>
                                    <div>
                                        <input class="form-control" name="address" placeholder="Address" id="address" type="text" value="@if(old('address')){{ old('address') }}@endif" />
                                        @if($errors->has('address'))
                                        <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="pinId">Pincode:</label>
                                    <input type="text" name="pin_code" maxlength="100" class="form-control" value="@if(old('pin_code')){{ old('pin_code') }}@endif" id="pinId">
                                </div>

                                <div class="col-md-4">
                                    <label class="col-form-label" for="address">State</label>
                                    <div>
                                        <select name="state_id" class="form-control" id="stateId">
                                            <option value="">Select State</option>
                                            @foreach($states as $state)
                                            <option value="{{$state->id}}" @if(old('state_id') && old('state_id')==$state->id) selected @endif >{{$state->name}}</option>
                                            @endforeach
                                        </select>
                                        @if($errors->has('state_id'))
                                        <div class="invalid-feedback">{{ $errors->first('state_id') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="cityId">City:</label>
                                    <select name="city_id" class="form-control" id="cityId">
                                        <option value="" selected>Select City</option>
                                        @foreach($cities as $city)
                                        <option value="{{$city->id}}" @if(old('city_id') && old('city_id')==$city->id) selected @endif
                                            >{{$city->name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('city'))
                                    <div class="invalid-feedback">{{ $errors->first('city') }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4">
                                    <div class=" date">
                                        <label class="col-form-label" for="dos">DOS</label>
                                        <div>
                                            <input class="form-control" name="dos" 
                                            placeholder="Date Of Start" 
                                            id="kt_datepicker_3" type="text" readonly
                                            value="@if(old('dos')){{ old('dos') }}@else{{date('m/d/Y')}}@endif" 
                                            />
                                            @if($errors->has('dos'))
                                            <div class="invalid-feedback">{{ $errors->first('dos') }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                </div>

                                <div class="col-md-12">
                                    <label class="col-form-label" for="problems">Problems</label>
                                    <div>
                                        <textarea class="form-control" name="problems" placeholder="Problems" id="problems" type="text" required>@if(old('problems')){{ old('problems') }}@endif</textarea>
                                        @if($errors->has('problems'))
                                        <div class="invalid-feedback">{{ $errors->first('problems') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label" for="treatment">Treatment</label>
                                    <div>
                                        <textarea class="form-control" name="treatment" placeholder="Treatment" id="treatment" type="text" required>@if(old('treatment')){{ old('treatment') }}@endif</textarea>
                                        @if($errors->has('treatment'))
                                        <div class="invalid-feedback">{{ $errors->first('treatment') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label" for="treatment">Remark</label>
                                    <div>
                                        <textarea class="form-control" name="remark" placeholder="Remark" id="remark" type="text" required>@if(old('remark')){{ old('remark') }}@endif</textarea>
                                        @if($errors->has('remark'))
                                        <div class="invalid-feedback">{{ $errors->first('remark') }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8">
                                    <label class="col-form-label">Days</label>
                                    <div class="">
                                        <select class="form-control select2" id="dayId" name="schedule[]" multiple="multiple" required>
                                            <option value="Sunday">Sunday</option>
                                            <option value="Monday">Monday</option>
                                            <option value="Tuesday">Tuesday</option>
                                            <option value="Wednesday">Wednesday</option>
                                            <option value="Thursday">Thursday</option>
                                            <option value="Friday">Friday</option>
                                            <option value="Saturday">Saturday</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="sitting">Sittings</label>
                                    <div>
                                        <input class="form-control" name="sitting" placeholder="Sittings" id="sitting" type="number" value="@if(old('sitting')){{ old('sitting') }}@endif" required />
                                        @if($errors->has('sitting'))
                                        <div class="invalid-feedback">{{ $errors->first('sitting') }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer mt-4">
                                <div class="row">
                                    <div class="col-12 d-flex justify-content-end">
                                        <button type="submit" class="btn btn-success mr-2">Submit</button>
                                        <a href="{{route('patient.index')}}" class="btn btn-danger">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!--end::Card-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Container-->
</div>
<!--end::Entry-->
</div>
<!--end::Content-->
@endsection