@extends('layouts.app')
@section('content')
@include('aside')
<div class="subheader py-2 py-lg-4  subheader-solid " id="kt_subheader">
    <div class=" container-fluid  d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
        <!--begin::Info-->
        <div class="d-flex align-items-center flex-wrap mr-2">

            <!--begin::Page Title-->
            <h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                @if($readonly)Profile @else Edit Profile @endif </h5>
            <!--end::Page Title-->
            <!--begin::Actions-->
        </div>
        <!--end::Info-->
    </div>
</div>
<!--end::Subheader-->

<div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class=" container card-fixed-align">
        <!--begin::Card-->
        <div>
            <!--begin::Card-->
            @if(session('success'))
            <div class="alert alert-custom alert-success fade show" role="alert">
                <div class="alert-icon"><i class="flaticon2-check-mark"></i></div>
                <div class="alert-text">{{ session('success')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            @if(session('failed'))
            <div class="alert alert-custom alert-danger fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-warning"></i></div>
                <div class="alert-text">{{ session('failed')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            <div class="card card-custom">
                <!--begin::Form-->
                <div class="card-body">
                    <form action="{{route('profile.store')}}" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="_token" id="csrf_token" value="{{ Session::token() }}" />
                        <div>
                            <h3 class="card-label font-weight-bolder text-dark">Profile Information</h3>
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="col-form-label" for="name">Name</label>
                                    <div>
                                        <input class="form-control" name="name" placeholder="Name" id="name" type="text" value="@if(old('name')){{ old('name') }}@else{{ $user->name }}@endif" {{$readonly}} />
                                        @if($errors->has('name'))
                                        <div class="invalid-feedback">{{ $errors->first('name') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="email">Email</label>
                                    <div>
                                        <input class="form-control" name="email" placeholder="Email" id="email" type="email" value="@if(old('email')){{ old('email') }}@else{{ $user->email }}@endif" {{$readonly}} />
                                        @if($errors->has('email'))
                                        <div class="invalid-feedback">{{ $errors->first('email') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="mobile">Phone</label>
                                    <div>
                                        <input class="form-control" name="mobile" placeholder="Phone" id="mobile" type="text" value="@if(old('mobile')){{ old('mobile') }}@else{{ $user->mobile }}@endif" {{$readonly}} />
                                        @if($errors->has('mobile'))
                                        <div class="invalid-feedback">{{ $errors->first('mobile') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="address">Address</label>
                                    <div>
                                        <input class="form-control" name="address" placeholder="Address" id="address" type="text" value="@if(old('address')){{ old('address') }}@else{{ $user->address }}@endif" {{$readonly}} />
                                        @if($errors->has('address'))
                                        <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="logo">
                                        Logo
                                        @if($user->logo)<a href="{{asset($user->logo)}}" target="BLANK">
                                            <en class="la la-eye text-success icon-md"></en>
                                        </a>@endif
                                    </label>
                                    <div>
                                        <input class="form-control" name="logo" id="logo" type="file" value="" @if($user->logo) required @endif @if($readonly) disabled @endif />
                                        @if($errors->has('logo'))
                                        <div class="invalid-feedback">{{ $errors->first('logo') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="favicon">
                                        Favicon
                                        @if($user->favicon)<a href="{{asset($user->favicon)}}" target="BLANK">
                                            <en class="la la-eye text-success icon-md"></en>
                                        </a>@endif
                                    </label>
                                    <div>
                                        <input class="form-control" name="favicon" id="favicon" type="file" value="" @if($user->favicon) required @endif @if($readonly)disabled @endif />
                                        @if($errors->has('favicon'))
                                        <div class="invalid-feedback">{{ $errors->first('favicon') }}</div>
                                        @enderror
                                    </div>
                                </div>


                            </div>
                            <div class="card-footer mt-4">
                                <div class="row">
                                    <div class="col-12 d-flex justify-content-end">
                                        @if($readonly)
                                        <a href="{{route('profile.create')}}" type="submit" class="btn btn-success mr-2">Edit</a>
                                        @else
                                        <button type="submit" class="btn btn-success mr-2">Submit</button>
                                        <a href="{{route('profile.index')}}" class="btn btn-danger">Cancel</a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>



                    <h3 class="card-label font-weight-bolder mt-10 text-dark">Change Password</h3>
                    <form method="POST" action="{{ route('changePassword') }}">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label for="password" class="col-form-label text-md-right">Current Password</label>
                                    <input id="password" type="password" class="form-control" name="current_password" autocomplete="current-password" placeholder="Current Password">
                                    @if($errors->has('current_password'))
                                    <div class="invalid-feedback">{{ $errors->first('current_password') }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="password" class="col-form-label text-md-right">New Password</label>
                                    <input id="new_password" type="password" class="form-control" name="new_password" autocomplete="current-password" placeholder="New Password">
                                    @if($errors->has('new_password'))
                                    <div class="invalid-feedback">{{ $errors->first('new_password') }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="password" class="col-form-label text-md-right">New Confirm Password</label>
                                    <input id="new_confirm_password" type="password" class="form-control" name="new_confirm_password" autocomplete="current-password" placeholder="New Confirm">
                                    @if($errors->has('new_confirm_password'))
                                    <div class="invalid-feedback">{{ $errors->first('new_confirm_password') }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Update Password
                                </button>
                            </div>
                        </div>
                    </form>




                </div>
            </div>
            <!--end::Card-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Container-->
</div>
<!--end::Entry-->
</div>
<!--end::Content-->
@endsection